GLISTEXTURE(3G)

NAME
glIsTexture - determine if a name corresponds to a texture

C SPECIFICATION

GLboolean glIsTexture(GLuint texture);

PARAMETERS

texture
    Specifies a value that may be the name of a texture.

DESCRIPTION

glIsTexture returns GL_TRUE if texture is currently the name of a texture. If texture is zero, or is a non-zero value that is not currently the name of a texture, or if an error occurs, glIsTexture returns GL_FALSE.

A name returned by glGenTextures(), but not yet associated with a texture by calling glBindTexture(), is not the name of a texture.

SEE ALSO

glBindTexture(), glCopyTexImage1D(), glCopyTexImage2D(), glDeleteTextures(), glGenTextures(), glGet(), glGetTexParameter(), glTexImage1D(), glTexImage2D(), glTexImage3D(), glTexParameter()

COPYRIGHT

Copyright © 1991-2006 Silicon Graphics, Inc. This document is licensed under the SGI Free Software B License. For details, see http://oss.sgi.com/projects/FreeB/.

AUTHORS

opengl.org